One webhook (production)
curl --request GET \
--url https://api.bullionwale.com/api/trading/v1/webhooks/{webhook_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.bullionwale.com/api/trading/v1/webhooks/{webhook_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"active": true,
"environment": "<string>",
"events": [
"<string>"
],
"id": "<string>",
"secret_last4": "<string>",
"url": "<string>",
"created_at": "<string>",
"description": "<string>",
"updated_at": "<string>"
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}Webhooks
One webhook (production)
Switched off. Production trading is implemented but not available: orders are refused with 403 production_trading_disabled. Once it opens, Bullionwale enables production access per account (see Production access requirements).
Not yet available. Webhooks are implemented but switched off: these endpoints answer 404 until Bullionwale turns them on.
One webhook (production)
One webhook (production)
curl --request GET \
--url https://api.bullionwale.com/api/trading/v1/webhooks/{webhook_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.bullionwale.com/api/trading/v1/webhooks/{webhook_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"active": true,
"environment": "<string>",
"events": [
"<string>"
],
"id": "<string>",
"secret_last4": "<string>",
"url": "<string>",
"created_at": "<string>",
"description": "<string>",
"updated_at": "<string>"
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Path Parameters
Response
Successful Response